/api/v1/mcps/{id} (GET)
GET
/api/v1/mcps/{id}
const url = 'https://api.endless.zaia.app/api/v1/mcps/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.endless.zaia.app/api/v1/mcps/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0Retrieves an MCP.
Parameters
Seção intitulada “Parameters”Path Parameters
Seção intitulada “Path Parameters”id
required
A UUID v4 string that identifies an entity.
string format: uuid
A UUID v4 string that identifies an entity.
Responses
Seção intitulada “Responses”Retrieves an MCP.
Media typeapplication/json
object
createdAt
required
string format: date-time
id
required
A UUID v4 string that identifies an entity.
string format: uuid
isRemoved
required
boolean
referenceId
required
The ID of the original entity in production.
string format: uuid
updatedAt
required
string format: date-time
versionId
required
A UUID v4 string that identifies an entity.
string format: uuid
connectionId
required
The id of the connection the MCP will be used through.
string format: uuid
description
required
The internal description of the MCP.
string
detail
required
One of:
object
tools
required
Array<string>
type
required
string
name
required
The display name of the MCP.
string
workspaceId
required
The workspace ID that owns the MCP.
string format: uuid
Example
{ "detail": { "type": "composio-airtable" }}Unauthorized.
Media typeapplication/json
The description of a known exception.
object
code
The error code.
string
cta
The error call-to-action.
object
type
required
string
url
required
string format: uri
feedback
required
The error feedback.
object
enUs
string
esEs
string
ptBr
string
message
required
The error message.
string
name
required
The error name.
string
Example
{ "cta": { "type": "support-contact" }}MCP not found.
Media typeapplication/json
The description of a known exception.
object
code
The error code.
string
cta
The error call-to-action.
object
type
required
string
url
required
string format: uri
feedback
required
The error feedback.
object
enUs
string
esEs
string
ptBr
string
message
required
The error message.
string
name
required
The error name.
string
Example
{ "cta": { "type": "support-contact" }}